Page tree
Skip to end of metadata
Go to start of metadata

To install **proVconnect** Server successfully, ensure the network hardware and software meet the requirements shown below.

Please note that these requirements are the **minimum requirements** for a successful installation. Refer to the [[installation_guide:server_software_installation:scalability|Server Sizing and Scalability]] section for best practices based on the size of the installation.

Server Prerequisites

**WanPulse proVconnect** is a web-based application which works with Microsoft Windows Server 2008 R2 and onwards versions. It requires the following applications and components be installed first:

* Microsoft Internet Information Service (IIS) Ver. 7 or more ©
* [[http://www.microsoft.com/download/en/details.aspx?id=17718|Microsoft .NET Framework 4.6]] © //(full version)//
* [[http://www.microsoft.com/download/en/details.aspx?id=4211|Microsoft ASP.NET MVC 3]] ©
* [[http://www.mysql.com/downloads/installer/|Oracle MySQL 5]] © or [[http://www.microsoft.com/download/en/details.aspx?id=1695|Microsoft SQL Server 2005/2008]] or more ©


* Windows Server 2017 at least (Foundation, Essentials, Standard, or Datacenter) R2 (64-bit)
* Windows 7 Enterprise (64 bit)
* Internet Information Services (IIS) v7 or later
* SSL Certificate

Minimum Hardware Requirements

* Intel/AMD x64 Server, or virtual machine in VMware ESX, Microsoft Hyper-V, Citrix Xen or VirtualBox
* 2GB RAM
* 500GB hard disk space

Application Prerequisites

The **proVconnect** application requires the following software applications to be installed in order to operate:

* Microsoft .NET Framework 4.6.2
* Microsoft ASP.net MVC-3
* Microsoft SQL Server 2008 or 2012 (Express or Standard edition)

MySQL may be used instead of SQL Server. **proVconnect** supports MySQL Server 5.6.2 and MySQL Connector for Windows.|

Microsoft .NET Framework 4.6.2 and Microsoft ASP.net MVC-3 are provided in the **proVconnect** installer. **The SQL database must be installed separately**.

  • No labels